BASEDIR = $(shell pwd)
BUILDDIRS = $(BASEDIR)/src $(BASEDIR)/cdev $(BASEDIR)/dumpServer $(BASEDIR)/examples
CLEANDIRS = $(BASEDIR)/src $(BASEDIR)/cdev $(BASEDIR)/dumpServer $(BASEDIR)/examples

all:
	@for dir in $(BUILDDIRS); \
	do \
		$(MAKE) -C $$dir; \
	done
	
clean:
	@for dir in $(CLEANDIRS); \
	do \
		$(MAKE) -C $$dir clean; \
	done

purge:
	@for dir in $(CLEANDIRS); \
	do \
		$(MAKE) -C $$dir purge; \
	done
